"use strict";

function ProtoProxy() {
this.version = 1;
this.msgType = 1;
this.encryptType = 0;
this.littleEndian = !1;
this.gameId = 0;
this.protoHandlers = {};
this.messageHeader = new MessageHeader();
ProtoProxy.prototype.setGameId = function(e) {
this.gameId = e;
};
ProtoProxy.prototype.setVersion = function(e) {
this.version = e;
};
ProtoProxy.prototype.registProtoHandler = function(e, t) {
this.protoHandlers[e] = t;
};
ProtoProxy.prototype.unregistProtoHandler = function(e) {
this.protoHandlers[e] = null;
};
ProtoProxy.prototype.dispatch = function(e) {
var t = ByteBuffer.wrap(e, "binary", this.littleEndian), r = t.readUint32(), s = t.readUint16();
t.skip(2);
if (r - 8 < s) console.log("msg package length error!"); else {
var o = t.readBytes(s);
if (this.messageHeader.decode(o)) {
var i = this.messageHeader.getMsgId(), n = this.protoHandlers[i], a = t.readBytes(r - 8 - s);
if (null != n) {
var d = this.messageHeader.getBodyLen();
n(new Uint8Array(a.buffer, a.offset, d), d);
} else console.error("can not find msg handler,msgId:" + i);
} else console.error("message header decode error!");
}
};
ProtoProxy.prototype.encode = function(e, t, r) {
null == r && (r = t.byteLength);
var s = this.messageHeader.getLength() + 8 + r, o = new ByteBuffer(s, this.littleEndian);
o.writeUint32(s);
o.writeUint16(this.messageHeader.getLength());
o.skip(2);
this.messageHeader.msgId = e;
this.messageHeader.version = this.version;
this.messageHeader.msgType = this.msgType;
this.messageHeader.msgBodyLen = r;
this.messageHeader.encryptType = this.encryptType;
this.messageHeader.gameId = this.gameId;
this.messageHeader.encode(o);
o.writeBytes(t, "binary");
return o;
};
}

window.ProtoProxy = ProtoProxy;