"use strict";

var tpfBattleSdkImpl = function() {
this.appId = 0;
this.proxyUrl = "";
this.uid = "";
this.protoChannel = new ProtoChannel();
this.battle = null;
this.eventHandler = {};
tpfBattleSdkImpl.prototype.setEventHandler = function(t, e) {
this.eventHandler[t] = e;
};
tpfBattleSdkImpl.prototype.init = function() {
this.protoChannel.getProtoProxy().setGameId(this.appId);
this.protoChannel.getProtoProxy().setVersion(Define.msgVersion);
this.battle = new Battle(this.protoChannel, this.eventHandler);
return 0;
};
tpfBattleSdkImpl.prototype.uninit = function() {
this.protoChannel.close();
this.protoChannel = null;
};
tpfBattleSdkImpl.prototype.getBattle = function() {
return this.battle;
};
tpfBattleSdkImpl.prototype.setUid = function(t) {
this.uid = t;
};
tpfBattleSdkImpl.prototype.connect = function(t) {
this.protoChannel.close();
var e = this;
this.protoChannel.setEventHandler("on_open", function() {
e._onConnected();
});
this.protoChannel.setEventHandler("on_close", function(t) {
e._onDisconnected(t);
});
this.protoChannel.setEventHandler("on_error", function(t) {
e._onConnectError(t);
});
this.protoChannel.create(this.proxyUrl, t);
};
tpfBattleSdkImpl.prototype._onConnectError = function(t) {
this.eventHandler[Define.eventType.ON_PLAT_BATTLE_CONNECT_ERR](t);
};
tpfBattleSdkImpl.prototype._onDisconnected = function(t) {
this.eventHandler[Define.eventType.ON_PLAT_BATTLE_DISCONNECT](t);
};
tpfBattleSdkImpl.prototype._onConnected = function() {
this.eventHandler[Define.eventType.ON_PLAT_BATTLE_CONNECTED]();
};
tpfBattleSdkImpl.prototype.getTblByThirdReq = function(t, e) {
console.log(t, e);
for (var o = battle_proto.Battle.Login.TableInfo.create({
tblId: t.tblId,
tblToken: t.tblToken
}), n = [], l = 0; l < e.length; l++) {
var r = e[l], a = battle_proto.Battle.Login.BattlePlayer.create({
uid: r.uid,
isRobot: r.isRobot
});
n[l] = a;
}
var p = battle_proto.Battle.Login.GetTblByThirdReq.create({
gameId: this.appId + "",
thirdTblInfo: o,
playerList: n
});
console.log("ssssssssss ", p);
var i = battle_proto.Battle.Login.GetTblByThirdReq.encode(p).finish();
this.protoChannel.send(battle_proto.Battle.Base.GameMsgIdDef.Msg_C2S_GetTblByThirdReq, i);
};
var t = this;
this.protoChannel.getProtoProxy().registProtoHandler(battle_proto.Battle.Base.GameMsgIdDef.Msg_S2C_GetTblByThirdRsp, function(e, o) {
var n = battle_proto.Battle.Login.GetTblByThirdRsp.decode(e, o);
console.log("Msg_S2C_GetTblByThirdRsp", n);
if (n.ret) {
var l = {
tableUrl: ""
};
l.tblToken = n.tblInfo.tblToken;
l.tblId = n.tblInfo.tblId;
l.gameId = t.appId + "";
for (var r = null, a = 0; a < n.playerList.length; a++) {
var p = n.playerList[a];
if (t.uid == p.uid) {
r = p.playerId;
break;
}
}
if (null != r) {
l.playerId = r;
console.log(l);
t.battle.initBattle(l);
t.battle.login();
} else console.warn("error tableInfo  does not find uid -> player =>", n);
} else console.log("get table error =>", n);
});
}, tpfBattleSdkBuilder = function() {
this.param = {};
tpfBattleSdkBuilder.prototype.setParam = function(t, e) {
this.param[t] = e;
return this;
};
tpfBattleSdkBuilder.prototype.build = function() {
var t = new tpfBattleSdkImpl();
null != this.param.appId && 0 != this.appId || console.error("appId is null!");
t.appId = this.param.appId;
null != this.param.proxyUrl && "" != this.param.proxyUrl || console.error("proxyUri is empty");
t.proxyUrl = this.param.proxyUrl;
t.init();
return t;
};
}, tpfbattlesdk = {
getBuilder: function() {
return new tpfBattleSdkBuilder();
}
};

window.tpfbattlesdk = tpfbattlesdk;