"use strict";

var tpfClientSdkImpl = function() {
this.appId = 0;
this.channelId = 0;
this.appKey = "";
this.platUrl = "";
this.statAppKey = "";
this.configAppSecKey = "";
this.account = "";
this.stat = null;
this._tpfconfig = null;
this.protoChannel = null;
this.gameChannel = null;
this.plat = null;
this.battle = null;
this.version = null;
this.platUserInfo = null;
this.eventHandler = {};
this.isFakeLoginAccount = !1;
this.moduleList = {};
tpfClientSdkImpl.prototype.setEventHandler = function(t, e) {
this.eventHandler[t] = e;
};
tpfClientSdkImpl.prototype.setFakeLoginAccount = function(t) {
this.isFakeLoginAccount = t;
};
function t(t) {
return void 0 !== t && null !== t ? String(t) : t;
}
tpfClientSdkImpl.prototype.init = function(e) {
this.protoChannel = new ProtoChannel();
this.protoChannel.getProtoProxy().setGameId(this.appId);
this.protoChannel.getProtoProxy().setVersion(tpfdefine.msgVersion);
this.gameChannel = new tpfgamechannel();
this.stat = new tpfstat({
appId: t(this.appId),
appKey: t(this.statAppKey),
version: t(this.version),
sversion: t(this.sversion),
channelId: t(this.channelId),
eventUrl: t(this.statEventUrl),
batchEventUrl: t(this.batchStatEventUrl)
});
this._tpfconfig = new tpfconfig({
appId: t(this.appId),
appKey: t(this.configAppSecKey),
channelId: t(this.channelId),
configUrl: t(this.configUrl)
});
this.battle = new tpfbattle(this.protoChannel, this.eventHandler);
this.plat = new tpfplat(this.protoChannel, this.eventHandler, this.version);
this.plat.setAppId(this.appId);
this.plat.setChannelId(this.channelId);
this.plat.battle = this.battle;
this.gameChannel.attach(this.protoChannel);
null != e && (this.moduleList = e);
for (k in this.moduleList) this.moduleList[k].onInit(this.protoChannel);
return 0;
};
tpfClientSdkImpl.prototype.getClientVersion = function() {
return this.version;
};
tpfClientSdkImpl.prototype.getPlatUserInfo = function() {
return this.platUserInfo;
};
tpfClientSdkImpl.prototype.getModule = function(t) {
return this.moduleList[t];
};
tpfClientSdkImpl.prototype.uninit = function() {
for (k in this.moduleList) this.moduleList[k].onUninit();
this.gameChannel.detach();
this.protoChannel.close();
this.moduleList = {};
this.gameChannel = null;
this.protoChannel = null;
this.stat = null;
this._tpfconfig = null;
};
tpfClientSdkImpl.prototype.setEventHandler = function(t, e) {
this.eventHandler[t] = e;
};
tpfClientSdkImpl.prototype.loginAccountAndBinding = function(e, n, i, o, a) {
this.protoChannel.close();
this.platUserInfo = null;
if (this.isFakeLoginAccount) {
this.account = n;
this._updatePlatUserInfo({
id: this.account,
token: i,
tokenL: i,
channelUid: 1,
nickName: this.account,
phoneNum: "13912345678"
});
this.eventHandler[tpfdefine.eventType.ON_ACCOUNT_LOGIN_RESULT](!0, 0, "");
} else {
var p = http_proto.login.CommonBindingExtension.create({
id: n + "",
token: i + "",
idenfifyId: o + ""
}), s = http_proto.login.CommonBindingExtension.encode(p).finish(), l = {
"Content-Type": "application/x-protostuff; charset=UTF-8",
Accept: "application/x-protostuff; charset=UTF-8",
appId: this.appId,
channelId: this.channelId
}, r = s + "", h = "appId=" + this.appId + "channelId=" + this.channelId + r + this.appKey;
h = md5(h);
var d = http_proto.login.CheckTokenReq.create({
appId: this.appId,
channelId: this.channelId,
extension: s,
sign: h,
logId: "",
clientVersion: t(this.version),
serverVersion: t(this.sversion),
subChannelId: this.subChannelId,
extra: a || ""
}), c = http_proto.login.CheckTokenReq.encode(d).finish(), f = this;
HttpUtils.http_request("POST", e, l, c, !0, function(t, e) {
if (200 == t) {
var n = http_proto.login.CheckTokenRsp.decode(e);
console.log(n);
f._updatePlatUserInfo(n.userBasicInfo);
f.eventHandler[tpfdefine.eventType.ON_ACCOUNT_LOGIN_RESULT](!0, n.resultCode, n.resultMsg, n.userBasicInfo, n.newFlg, n.serverTime);
} else f.eventHandler[tpfdefine.eventType.ON_ACCOUNT_LOGIN_RESULT](!1, tpfdefine.retCode.ACCOUNT_LOGIN_FAILED, "http error!");
});
}
};
tpfClientSdkImpl.prototype.loginWxAccount = function(t, e, n, i) {
this.protoChannel.close();
this.platUserInfo = null;
if (this.isFakeLoginAccount) {
this.account = e;
this._updatePlatUserInfo({
id: this.account,
token: n,
tokenL: n,
channelUid: 1,
nickName: this.account,
phoneNum: "13912345678"
});
this.eventHandler[tpfdefine.eventType.ON_ACCOUNT_LOGIN_RESULT](!0, 0, "");
} else {
var o = {
token: n + ""
}, a = {
"Content-Type": "application/json",
Accept: "application/json",
appId: this.appId,
channelId: this.channelId
}, p = "appId=" + this.appId + "channelId=" + this.channelId + JSON.stringify(o) + this.appKey;
p = md5(p);
var s = {
extension: JSON.stringify(o),
sign: p
}, l = this;
HttpUtils.http_request_wx("POST", t, a, s, !0, function(t, e) {
if (200 == t) {
var n = e;
if (null === n.data || null === n.data.id) {
l.eventHandler[tpfdefine.eventType.ON_ACCOUNT_LOGIN_RESULT](!1, tpfdefine.retCode.ACCOUNT_LOGIN_FAILED, "http error!");
return;
}
if (0 !== n.meta.errCode) {
l.eventHandler[tpfdefine.eventType.ON_ACCOUNT_LOGIN_RESULT](!1, tpfdefine.retCode.ACCOUNT_LOGIN_FAILED, "http error!");
return;
}
l._updatePlatUserInfo(n.data);
l.eventHandler[tpfdefine.eventType.ON_ACCOUNT_LOGIN_RESULT](!0, n.meta.errCode, n.meta.errMsg, n.data, n.data.newFlg, n.data.serverTime);
} else l.eventHandler[tpfdefine.eventType.ON_ACCOUNT_LOGIN_RESULT](!1, tpfdefine.retCode.ACCOUNT_LOGIN_FAILED, "http error!");
});
}
};
tpfClientSdkImpl.prototype.loginQQNewAccount = function(t, e, n, i) {
this.protoChannel.close();
this.platUserInfo = null;
if (this.isFakeLoginAccount) {
this.account = e;
this._updatePlatUserInfo({
id: this.account,
token: n,
tokenL: n,
channelUid: 1,
nickName: this.account,
phoneNum: "13912345678"
});
this.eventHandler[tpfdefine.eventType.ON_ACCOUNT_LOGIN_RESULT](!0, 0, "");
} else {
var o = {
token: n + ""
}, a = {
"Content-Type": "application/json",
Accept: "application/json",
appId: this.appId,
channelId: this.channelId
}, p = "appId=" + this.appId + "channelId=" + this.channelId + JSON.stringify(o) + this.appKey;
p = md5(p);
var s = {
extension: JSON.stringify(o),
sign: p
}, l = this;
HttpUtils.http_request_qq_new("POST", t, a, s, !0, function(t, e) {
if (200 == t) {
var n = e;
if (null === n.data || null === n.data.id) {
l.eventHandler[tpfdefine.eventType.ON_ACCOUNT_LOGIN_RESULT](!1, tpfdefine.retCode.ACCOUNT_LOGIN_FAILED, "http error!");
return;
}
if (0 !== n.meta.errCode) {
l.eventHandler[tpfdefine.eventType.ON_ACCOUNT_LOGIN_RESULT](!1, tpfdefine.retCode.ACCOUNT_LOGIN_FAILED, "http error!");
return;
}
l._updatePlatUserInfo(n.data);
l.eventHandler[tpfdefine.eventType.ON_ACCOUNT_LOGIN_RESULT](!0, n.meta.errCode, n.meta.errMsg, n.data, n.data.newFlg, n.data.serverTime);
} else l.eventHandler[tpfdefine.eventType.ON_ACCOUNT_LOGIN_RESULT](!1, tpfdefine.retCode.ACCOUNT_LOGIN_FAILED, "http error!");
});
}
};
tpfClientSdkImpl.prototype.loginQQAccount = function(t, e, n, i) {
this.protoChannel.close();
this.platUserInfo = null;
console.log("Plat=QQ.close");
if (this.isFakeLoginAccount) {
this.account = e;
this._updatePlatUserInfo({
id: this.account,
token: n,
tokenL: n,
channelUid: 1,
nickName: this.account,
phoneNum: "13912345678"
});
this.eventHandler[tpfdefine.eventType.ON_ACCOUNT_LOGIN_RESULT](!0, 0, "");
} else {
console.log("openkey", n, i);
var o = {
token: n + "",
openKey: i + ""
}, a = {
Referer: "https://hudong.qq.com",
"User-Agent": "brick-client",
"Content-Type": "application/x-www-form-urlencoded",
appId: this.appId + "",
channelId: this.channelId + ""
}, p = "appId=" + this.appId + "channelId=" + this.channelId + JSON.stringify(o) + this.appKey;
p = md5(p);
var s = {
extension: JSON.stringify(o),
sign: p
};
data = "req=" + JSON.stringify(s);
encoded = encodeURI(data);
var l = this;
console.log("send  request !!!!!!!!!!!!!!!!!!" + this.appId, this.channelId);
HttpUtils.http_request_qq("POST", t, a, encoded, !0, function(t, e) {
if (200 == t) {
var n = e;
console.log("http qq resp", JSON.stringify(e));
l._updatePlatUserInfo(n.data);
l.eventHandler[tpfdefine.eventType.ON_ACCOUNT_LOGIN_RESULT](!0, n.meta.errCode, n.meta.errMsg, n.data, n.data.newFlg, n.data.serverTime);
} else {
console.log("http qq resp error", t, e);
l.eventHandler[tpfdefine.eventType.ON_ACCOUNT_LOGIN_RESULT](!1, tpfdefine.retCode.ACCOUNT_LOGIN_FAILED, "http error!");
}
});
console.log("tpfclient login phrase ended");
}
};
tpfClientSdkImpl.prototype.loginAccount = function(e, n, i, o) {
console.log("plattype", this.platType, "QQ_NEW" == this.platType);
if ("WECHAT" != this.platType) if ("QQPLAY" != this.platType) if ("QQ_NEW" != this.platType) {
console.log("Plat=normal");
this.protoChannel.close();
console.log("Plat=normal.close");
this.platUserInfo = null;
if (this.isFakeLoginAccount) {
this.account = n;
this._updatePlatUserInfo({
id: this.account,
token: i,
tokenL: i,
channelUid: 1,
nickName: this.account,
phoneNum: "13912345678"
});
this.eventHandler[tpfdefine.eventType.ON_ACCOUNT_LOGIN_RESULT](!0, 0, "");
} else {
console.log("Plat=normal.isFakeLoginAccount");
var a = http_proto.login.CommonExtension.create({
id: n + "",
token: i + ""
});
console.log("Plat=normal.CommonExtension.create");
for (var p = http_proto.login.CommonExtension.encode(a).finish(), s = {
"Content-Type": "application/x-protostuff; charset=UTF-8",
Accept: "application/x-protostuff; charset=UTF-8",
appId: this.appId,
channelId: this.channelId
}, l = "", r = 0; r < p.length; r++) r == p.length - 1 ? l += p[r] : l = l + p[r] + ",";
var h = "appId=" + this.appId + "channelId=" + this.channelId + l + this.appKey;
h = md5(h);
var d = http_proto.login.CheckTokenReq.create({
appId: this.appId,
channelId: this.channelId,
extension: p,
sign: h,
logId: "",
clientVersion: t(this.version),
serverVersion: t(this.sversion),
subChannelId: this.subChannelId,
extra: o
}), c = http_proto.login.CheckTokenReq.encode(d).finish(), f = this;
HttpUtils.http_request("POST", e, s, c, !0, function(t, e) {
if (200 == t) {
var n = http_proto.login.CheckTokenRsp.decode(e);
console.log(n);
f._updatePlatUserInfo(n.userBasicInfo);
f.eventHandler[tpfdefine.eventType.ON_ACCOUNT_LOGIN_RESULT](!0, n.resultCode, n.resultMsg, n.userBasicInfo, n.newFlg, n.serverTime);
} else f.eventHandler[tpfdefine.eventType.ON_ACCOUNT_LOGIN_RESULT](!1, tpfdefine.retCode.ACCOUNT_LOGIN_FAILED, "http error!");
});
}
} else {
console.log("Plat=QQ_NEW");
this.loginQQNewAccount(e, n, i, o);
} else {
console.log("Plat=qqplay");
this.loginQQAccount(e, n, i, o);
} else {
console.log("Plat=wechat");
this.loginWxAccount(e, n, i, o);
}
};
tpfClientSdkImpl.prototype._updatePlatUserInfo = function(t) {
this.platUserInfo = t;
console.log("_updatePlatUserInfo", JSON.stringify(t));
this.plat.setPlatUserInfo(this.platUserInfo.id, this.platUserInfo.token);
};
tpfClientSdkImpl.prototype.getToken = function() {
return this.platUserInfo.token;
};
tpfClientSdkImpl.prototype.getGameChannel = function() {
return this.gameChannel;
};
tpfClientSdkImpl.prototype.getStat = function() {
return this.stat;
};
tpfClientSdkImpl.prototype.getPlat = function() {
return this.plat;
};
tpfClientSdkImpl.prototype.getBattle = function() {
return this.battle;
};
tpfClientSdkImpl.prototype.getTpfConfig = function() {
return this._tpfconfig;
};
tpfClientSdkImpl.prototype.registPlatProtHandler = function(t, e) {
this.protoChannel.getProtoProxy().registProtoHandler(t, e);
};
tpfClientSdkImpl.prototype.unregistPlatProtHandler = function(t) {
this.protoChannel.getProtoProxy().unregistProtoHandler(t);
};
}, tpfClientSdkBuilder = function() {
this.param = {};
tpfClientSdkBuilder.prototype.setParam = function(t, e) {
this.param[t] = e;
globalparams.set(t, e);
return this;
};
tpfClientSdkBuilder.prototype.build = function() {
var t = new tpfClientSdkImpl();
null == this.param.appId && console.error("appId is null!");
t.appId = this.param.appId;
null == this.param.channelId && console.error("channelId is null!");
t.channelId = this.param.channelId;
null == this.param.appKey && console.error("appKey is null!");
t.appKey = this.param.appKey;
null == this.param.platType && console.error("platType is null");
t.platType = this.param.platType;
this.param.platType && "WECHAT" == this.param.platType ? globalparams.set("isWsUseFileReader", !1) : this.param.platType && "QQ_NEW" == this.param.platType ? globalparams.set("isWsUseFileReader", !1) : this.param.platType && "OPPO_QG" == this.param.platType || this.param.platType && "VIVO_QG" == this.param.platType ? globalparams.set("isWsUseFileReader", !1) : this.param.platType && "QQPLAY" == this.param.platType ? globalparams.set("isWsUseFileReader", !1) : this.param.platType && "APK" == this.param.platType ? globalparams.set("isWsUseFileReader", !1) : globalparams.set("isWsUseFileReader", !0);
null == this.param.wsCertUrl && console.error("wsCertUrl is null, please ensure use it or not");
this.param.version ? t.version = this.param.version : console.error("version is null");
this.param.sversion ? t.sversion = this.param.sversion : console.info("sversion is null");
this.param.statAppKey ? t.statAppKey = this.param.statAppKey : console.error("statAppKey is null");
this.param.statEventUrl ? t.statEventUrl = this.param.statEventUrl : console.error("statEventUrl is null");
this.param.batchStatEventUrl ? t.batchStatEventUrl = this.param.batchStatEventUrl : console.error("batchStatEventUrl is null");
this.param.subChannelId ? t.subChannelId = this.param.subChannelId : t.subChannelId = "";
if (this.param.configAppSecKey) t.configAppSecKey = this.param.configAppSecKey; else {
console.error("configAppSecKey is null");
t.configAppSecKey = "0164619900d242b59e59f474e0294e4e";
}
if (this.param.configUrl) t.configUrl = this.param.configUrl; else {
console.error("configUrl is null");
t.configUrl = "http://10.0.1.205:27800/api/config";
}
return t;
};
}, tpfclientsdk = {
getBuilder: function() {
return new tpfClientSdkBuilder();
}
};

window.tpfclientsdk = tpfclientsdk;